### Function

# Secret password_search_sync

since: 0.19.0

#### Declaration [src]

    GList*
    secret_password_search_sync (
      const SecretSchema* schema,
      SecretSearchFlags flags,
      GCancellable* cancellable,
      GError** error,
      ...
    )

#### Description [src]

Search for items in the secret service.

The variable argument list should contain pairs of a) The attribute name as a null-terminated string, followed by b) attribute value, either a character string, an int number, or a gboolean value, as defined in the password `schema`. The list of attributes should be terminated with a `NULL`.

If no secret is found then `NULL` is returned.

This method may block indefinitely and should not be used in user interface threads.

Available since: 0.19.0

This function is not directly available to language bindings.

The implementation of this method is provided by `secret_password_searchv_sync()` in language bindings

#### Parameters

`schema`

  Type: `SecretSchema`

  The schema for the attributes.

  The data is owned by the caller of the function.

`flags`

  Type: `SecretSearchFlags`

  Search option flags.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError`

  Location to place an error on failure.

  The data is owned by the caller of the function.

`...`

  Type: ``

  The attribute keys and values, terminated with `NULL`.

#### Return value

Type: A list of `None`

A list of `SecretRetrievable` containing attributes of the matched items.

The caller of the function takes ownership of the data, and is responsible for freeing it.